Frequently Asked Questions   Sections

The Gentleware FAQ is a comprehensive list of questions regarding Poseidon for UML. At this time, third-party plug-ins and products are not covered in this FAQ but we plan to add them in the future. Further information is available from the Poseidon documentation or you can post to our forum.

 

Submitting a Question

Please feel free to submit questions regarding any Gentleware product, including the plug-ins and partner products, to info@gentleware.com.

 

Viewing the FAQ

Select a topic from the list at right. The subtree for your selection will open below.

FAQ Section: General
  1. What are Poseidon's system requirements?
  2. How does Poseidon relate to ArgoUML?
  3. Can Poseidon generate C++ code?
  4. What are the current versions of Poseidon and the Plug-Ins?

    Version Release Date
    Poseidon 4.2 July 17, 2006
    Poseidon 4.1.1 April 21, 2006
    Poseidon 4.1 March 20, 2006
    Poseidon 4.0 December 12, 2005
    Poseidon 3.2 September 26, 2005
    Poseidon 3.1 June 2, 2005
    Poseidon 3.0.1 December 15, 2004
    Poseidon 3.0 (Excluding the Enterprise Edition) December 2, 2004
    Poseidon 2.6 October 18, 2004
    Poseidon 2.5.1 September 2, 2004
    Poseidon 2.5 July 28, 2004
    Poseidon 2.4 June 2, 2004
    Poseidon 2.3 April 16, 2004
    Poseidon 2.2 February 24, 2004
    Poseidon 2.1 November 5, 2003
    Poseidon 2.0 September 15, 2003
    Poseidon 1.6 February 18, 2003
    Poseidon 1.5 November 27, 2002
    Poseidon 1.4 September 3, 2002
    Poseidon 1.3 June 11, 2002
    Poseidon 1.2 March 12, 2002

    We encourage all users to move to the current Poseidon version. All updates are free for anyone who owns a Poseidon 4.x license. Poseidon 2.x and 3.x license holders can purchase updates at the Gentleware web shop.




    Plug-Ins

    Poseidon v. 3.1

    The following plug-ins are compatible with Poseidon v. 3.1. Please note that the autolayout plug-in from yWorks will be incorporated into v. 3.2. Oreas will no longer be developing the GoVisual plug-in, nor will b+m Informatik be developing the EJB plug-in.

    Product Version Product Version
    AndroMDA 2.6 Requirements Engineering 1.3




    Poseidon v. 3.0.x

    The plug-in versions listed below are compatible with Poseidon for UML version 3.0.x. They are not backwards-compatible with versions 2.6 and earlier, and are not compatible with v. 3.1.

    Product Version Product Version
    AndroMDA 2.5 yWorks-UML-Layout 1.4
    GoVisual Autolayout 1.5 b+m EJB Plug-In 1.0
    Requirements Engineering 1.3




    Poseidon v. 2.6 and earlier

    The plug-in versions listed below are compatible with Poseidon for UML versions 2.6 and earlier. We strongly recommend that you update to version 3.x; evaluation copies are available from the download section of our website.

    Product Version Product Version
    AndroMDA 2.4 yWorks-UML-Layout 1.3
    GoVisual Autolayout 1.4 b+m EJB Plug-In 1.0
    Requirements Engineering 1.2

  5. What versions of Netbeans/Forte/Sun One Studio does Poseidon support?
  6. What is the Vat-ID mentioned in the shop's order form?
  7. Does the Enterprise server work with Embedded Enterprise clients and vice versa?
  8. What is the difference between a Concurrent and a Single User license?
  9. What happened to the Embedded Edition?
  10. Can I open my UML model in both Poseidon 2.x and 3.x?

© 2000 - 2010 Gentleware AG
         
                        
 support  faq  faq poseidon for uml